Bug 465612 - gem2rpm no longer works - remote_installer LoadError
gem2rpm no longer works - remote_installer LoadError
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: rubygems (Show other bugs)
rawhide
All Linux
high Severity medium
: ---
: ---
Assigned To: David Lutterkort
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-04 11:21 EDT by Mamoru TASAKA
Modified: 2013-04-30 19:40 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-15 22:02:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mamoru TASAKA 2008-10-04 11:21:27 EDT
Description of problem:

[tasaka1@localhost TEMP]$ rpm -q rubygem-gem2rpm
rubygem-gem2rpm-0.5.3-1.fc10.noarch
[tasaka1@localhost TEMP]$ rpm -q rubygems
rubygems-0.9.4-2.fc10.noarch
[tasaka1@localhost TEMP]$ gem2rpm gettext-1.93.0.gem > tmp.spec
[tasaka1@localhost TEMP]$ 
[tasaka1@localhost TEMP]$ 
[tasaka1@localhost TEMP]$ rpm -q rubygems
rubygems-1.2.0-2.fc10.noarch
[tasaka1@localhost TEMP]$ gem2rpm gettext-1.93.0.gem 
/usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:27:in `gem_original_require': no such file to load -- rubygems/remote_installer (LoadError)
        from /usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:27:in `require'
        from /usr/lib/ruby/gems/1.8/gems/gem2rpm-0.5.3/lib/gem2rpm.rb:4
        from /usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:27:in `gem_original_require'
        from /usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:27:in `require'
        from /usr/lib/ruby/gems/1.8/gems/gem2rpm-0.5.3/bin/gem2rpm:6
        from /usr/bin/gem2rpm:16:in `load'
        from /usr/bin/gem2rpm:16

i.e. gem2rpm 0.5.3 works with rubygems 0.9.4 but not with rubygems 1.2.0
It seems that rubygems/remote_installer.rb is removed.

Version-Release number of selected component (if applicable):
rubygems-1.2.0-2.fc10.noarch
rubygem-gem2rpm-0.5.3-1.fc10.noarch


How reproducible:
100%

Steps to Reproduce:
1. See above
2.
3.
  
Actual results:
See above
Comment 1 David Lutterkort 2008-10-06 18:15:34 EDT
I just fixed that upstream and am in the process of pushing an update to rubygem-gem2rpm-0.6.0
Comment 2 Fedora Update System 2008-10-06 18:58:17 EDT
rubygem-gem2rpm-0.6.0-1.fc8 has been submitted as an update for Fedora 8.
http://admin.fedoraproject.org/updates/rubygem-gem2rpm-0.6.0-1.fc8
Comment 3 Fedora Update System 2008-10-06 18:59:20 EDT
rubygem-gem2rpm-0.6.0-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/rubygem-gem2rpm-0.6.0-1.fc9
Comment 4 Fedora Update System 2008-10-07 05:48:15 EDT
rubygem-gem2rpm-0.6.0-1.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update rubygem-gem2rpm'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-8650
Comment 5 Fedora Update System 2008-10-07 05:50:16 EDT
rubygem-gem2rpm-0.6.0-1.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update rubygem-gem2rpm'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-8665
Comment 6 Fedora Update System 2008-10-15 22:02:38 EDT
rubygem-gem2rpm-0.6.0-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2008-10-15 22:07:06 EDT
rubygem-gem2rpm-0.6.0-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.